# MyVR

The purpose of this library is to communicate with the MyVR API using Ruby!

To view the original API docs check out
[developer.myvr.com](https://developer.myvr.com/).

## Installation

```sh
gem install myvr
```

## Configuration

There are two different ways to authenticate with MyVR. MyVR Connect using
OAuth, or Application level authentication.


To start using the MyVR API you will need to [register an application with
MyVR](https://myvr.com/account/#/settings/api/).


Your new application will be assigned a consumer key/secret pair that identifies
your application to Twitter. This is all you need to configure your client for
application-only authentication.

```ruby
client = MyVR::Client.new(access_key: 'YOUR_ACCESS_KEY')
client.properties
```


### Roadmap

+ Properties
  + List Properties :shipit:
  + Retrieve Property :shipit:
  + Create Property
  + Update Property
  + Delete Property
+ Rates
  + List Rates
  + Retrieve Rate
  + Create Rate
  + Update Rate
  + Delete Rate
+ Fees
  + List Fees
  + Retrieve Fees
  + Create Fees
  + Update Fees
  + Delete Fees
+ Photos
  + List Photos
  + Retrieve Photos
  + Create Photos
  + Update Photos
  + Delete Photos
+ Amenities
  + List Amenities
  + Retrieve Amenities
  + Create Amenities
  + Update Amenities
  + Delete Amenities
+ Rooms
  + List Rooms
  + Retrieve Rooms
  + Create Rooms
  + Update Rooms
  + Delete Rooms
